Package org.apache.iotdb.jdbc

# Class IoTDBConnection

java.lang.Object
org.apache.iotdb.jdbc.IoTDBConnection

All Implemented Interfaces:
  `AutoCloseable`, `Connection`, `Wrapper`

public class IoTDBConnection extends Object implements Connection

## Field Summary

### Fields inherited from interface java.sql.Connection

`TRANSACTION_NONE, TRANSACTION_READ_COMMITTED, TRANSACTION_READ_UNCOMMITTED, TRANSACTION_REPEATABLE_READ, TRANSACTION_SERIALIZABLE`

## Constructor Summary

Constructors
Constructor
Description
`IoTDBConnection()`
`IoTDBConnection(String url, Properties info)`

## Method Summary

Modifier and Type
Method
Description
`void`
`abort(Executor arg0)`
`protected void`
`changeDefaultDatabase(String database)`
`void`
`clearWarnings()`
`void`
`close()`
`void`
`commit()`
`Array`
`createArrayOf(String arg0, Object[] arg1)`
`Blob`
`createBlob()`
`Clob`
`createClob()`
`NClob`
`createNClob()`
`SQLXML`
`createSQLXML()`
`Statement`
`createStatement()`
`Statement`
`createStatement(int resultSetType, int resultSetConcurrency)`
`Statement`
`createStatement(int arg0, int arg1, int arg2)`
`Struct`
`createStruct(String arg0, Object[] arg1)`
`boolean`
`getAutoCommit()`
`String`
`getCatalog()`
`IClientRPCService.Iface`
`getClient()`
`Properties`
`getClientInfo()`
`String`
`getClientInfo(String arg0)`
`String`
`getDatabase()`
`int`
`getHoldability()`
`DatabaseMetaData`
`getMetaData()`
`int`
`getNetworkTimeout()`
`IoTDBConnectionParams`
`getParams()`
`int`
`getQueryTimeout()`
`String`
`getSchema()`
`ServerProperties`
`getServerProperties()`
`long`
`getSessionId()`
`String`
`getSqlDialect()`
`int`
`getTimeFactor()`
`String`
`getTimeZone()`
`int`
`getTransactionIsolation()`
`Map<String,Class<?>>`
`getTypeMap()`
`String`
`getUrl()`
`String`
`getUserName()`
`SQLWarning`
`getWarnings()`
`boolean`
`isClosed()`
`boolean`
`isReadOnly()`
`boolean`
`isValid(int arg0)`
`boolean`
`isWrapperFor(Class<?> arg0)`
`protected void`
`mayChangeDefaultSqlDialect(String sqlDialect)`
`String`
`nativeSQL(String arg0)`
`CallableStatement`
`prepareCall(String arg0)`
`CallableStatement`
`prepareCall(String arg0, int arg1, int arg2)`
`CallableStatement`
`prepareCall(String arg0, int arg1, int arg2, int arg3)`
`PreparedStatement`
`prepareStatement(String sql)`
`PreparedStatement`
`prepareStatement(String sql, int autoGeneratedKeys)`
`PreparedStatement`
`prepareStatement(String sql, int[] columnIndexes)`
`PreparedStatement`
`prepareStatement(String sql, int resultSetType, int resultSetConcurrency)`
`PreparedStatement`
`prepareStatement(String sql, int resultSetType, int resultSetConcurrency, int resultSetHoldability)`
`PreparedStatement`
`prepareStatement(String sql, String[] columnNames)`
`boolean`
`reconnect()`
`void`
`releaseSavepoint(Savepoint arg0)`
`void`
`rollback()`
`void`
`rollback(Savepoint arg0)`
`void`
`setAutoCommit(boolean arg0)`
`void`
`setCatalog(String arg0)`
`void`
`setClient(IClientRPCService.Iface client)`
`void`
`setClientInfo(String name, String value)`
`void`
`setClientInfo(Properties arg0)`
`void`
`setHoldability(int arg0)`
`void`
`setNetworkTimeout(Executor arg0, int arg1)`
`void`
`setQueryTimeout(int seconds)`
`void`
`setReadOnly(boolean readonly)`
`Savepoint`
`setSavepoint()`
`Savepoint`
`setSavepoint(String arg0)`
`void`
`setSchema(String arg0)`
`void`
`setTimeZone(String timeZone)`
`void`
`setTransactionIsolation(int arg0)`
`void`
`setTypeMap(Map<String,Class<?>> arg0)`
`<T> T`
`unwrap(Class<T> arg0)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### IoTDBConnection

public IoTDBConnection()

### IoTDBConnection

public IoTDBConnection(String url, Properties info) throws SQLException, org.apache.thrift.transport.TTransportException

Throws:
  `SQLException`
  `org.apache.thrift.transport.TTransportException`

## Method Details

### getUserName

public String getUserName()

### getSqlDialect

public String getSqlDialect()

### getUrl

public String getUrl()

### getParams

public IoTDBConnectionParams getParams()

### isWrapperFor

public boolean isWrapperFor(Class<?> arg0) throws SQLException

Specified by:
  `isWrapperFor` in interface `Wrapper`
Throws:
  `SQLException`

### unwrap

public <T> T unwrap(Class<T> arg0) throws SQLException

Specified by:
  `unwrap` in interface `Wrapper`
Throws:
  `SQLException`

### abort

public void abort(Executor arg0) throws SQLException

Specified by:
  `abort` in interface `Connection`
Throws:
  `SQLException`

### clearWarnings

public void clearWarnings()

Specified by:
  `clearWarnings` in interface `Connection`

### close

public void close() throws SQLException

Specified by:
  `close` in interface `AutoCloseable`
Specified by:
  `close` in interface `Connection`
Throws:
  `SQLException`

### commit

public void commit() throws SQLException

Specified by:
  `commit` in interface `Connection`
Throws:
  `SQLException`

### createArrayOf

public Array createArrayOf(String arg0, Object[] arg1) throws SQLException

Specified by:
  `createArrayOf` in interface `Connection`
Throws:
  `SQLException`

### createBlob

public Blob createBlob() throws SQLException

Specified by:
  `createBlob` in interface `Connection`
Throws:
  `SQLException`

### createClob

public Clob createClob() throws SQLException

Specified by:
  `createClob` in interface `Connection`
Throws:
  `SQLException`

### createNClob

public NClob createNClob() throws SQLException

Specified by:
  `createNClob` in interface `Connection`
Throws:
  `SQLException`

### createSQLXML

public SQLXML createSQLXML() throws SQLException

Specified by:
  `createSQLXML` in interface `Connection`
Throws:
  `SQLException`

### createStatement

public Statement createStatement() throws SQLException

Specified by:
  `createStatement` in interface `Connection`
Throws:
  `SQLException`

### createStatement

public Statement createStatement(int resultSetType, int resultSetConcurrency) throws SQLException

Specified by:
  `createStatement` in interface `Connection`
Throws:
  `SQLException`

### createStatement

public Statement createStatement(int arg0, int arg1, int arg2) throws SQLException

Specified by:
  `createStatement` in interface `Connection`
Throws:
  `SQLException`

### createStruct

public Struct createStruct(String arg0, Object[] arg1) throws SQLException

Specified by:
  `createStruct` in interface `Connection`
Throws:
  `SQLException`

### getAutoCommit

public boolean getAutoCommit()

Specified by:
  `getAutoCommit` in interface `Connection`

### setAutoCommit

public void setAutoCommit(boolean arg0)

Specified by:
  `setAutoCommit` in interface `Connection`

### getCatalog

public String getCatalog()

Specified by:
  `getCatalog` in interface `Connection`

### setCatalog

public void setCatalog(String arg0) throws SQLException

Specified by:
  `setCatalog` in interface `Connection`
Throws:
  `SQLException`

### getClientInfo

public Properties getClientInfo() throws SQLException

Specified by:
  `getClientInfo` in interface `Connection`
Throws:
  `SQLException`

### setClientInfo

public void setClientInfo(Properties arg0) throws SQLClientInfoException

Specified by:
  `setClientInfo` in interface `Connection`
Throws:
  `SQLClientInfoException`

### getClientInfo

public String getClientInfo(String arg0) throws SQLException

Specified by:
  `getClientInfo` in interface `Connection`
Throws:
  `SQLException`

### getHoldability

public int getHoldability()

Specified by:
  `getHoldability` in interface `Connection`

### setHoldability

public void setHoldability(int arg0) throws SQLException

Specified by:
  `setHoldability` in interface `Connection`
Throws:
  `SQLException`

### getMetaData

public DatabaseMetaData getMetaData() throws SQLException

Specified by:
  `getMetaData` in interface `Connection`
Throws:
  `SQLException`

### getNetworkTimeout

public int getNetworkTimeout()

Specified by:
  `getNetworkTimeout` in interface `Connection`

### getSchema

public String getSchema() throws SQLException

Specified by:
  `getSchema` in interface `Connection`
Throws:
  `SQLException`

### setSchema

public void setSchema(String arg0) throws SQLException

Specified by:
  `setSchema` in interface `Connection`
Throws:
  `SQLException`

### getTransactionIsolation

public int getTransactionIsolation()

Specified by:
  `getTransactionIsolation` in interface `Connection`

### setTransactionIsolation

public void setTransactionIsolation(int arg0) throws SQLException

Specified by:
  `setTransactionIsolation` in interface `Connection`
Throws:
  `SQLException`

### getTypeMap

public Map<String,Class<?>> getTypeMap() throws SQLException

Specified by:
  `getTypeMap` in interface `Connection`
Throws:
  `SQLException`

### setTypeMap

public void setTypeMap(Map<String,Class<?>> arg0) throws SQLException

Specified by:
  `setTypeMap` in interface `Connection`
Throws:
  `SQLException`

### getWarnings

public SQLWarning getWarnings()

Specified by:
  `getWarnings` in interface `Connection`

### isClosed

public boolean isClosed()

Specified by:
  `isClosed` in interface `Connection`

### isReadOnly

public boolean isReadOnly()

Specified by:
  `isReadOnly` in interface `Connection`

### setReadOnly

public void setReadOnly(boolean readonly) throws SQLException

Specified by:
  `setReadOnly` in interface `Connection`
Throws:
  `SQLException`

### isValid

public boolean isValid(int arg0)

Specified by:
  `isValid` in interface `Connection`

### nativeSQL

public String nativeSQL(String arg0) throws SQLException

Specified by:
  `nativeSQL` in interface `Connection`
Throws:
  `SQLException`

### prepareCall

public CallableStatement prepareCall(String arg0) throws SQLException

Specified by:
  `prepareCall` in interface `Connection`
Throws:
  `SQLException`

### prepareCall

public CallableStatement prepareCall(String arg0, int arg1, int arg2) throws SQLException

Specified by:
  `prepareCall` in interface `Connection`
Throws:
  `SQLException`

### prepareCall

public CallableStatement prepareCall(String arg0, int arg1, int arg2, int arg3) throws SQLException

Specified by:
  `prepareCall` in interface `Connection`
Throws:
  `SQLException`

### prepareStatement

public PreparedStatement prepareStatement(String sql) throws SQLException

Specified by:
  `prepareStatement` in interface `Connection`
Throws:
  `SQLException`

### prepareStatement

public PreparedStatement prepareStatement(String sql, int autoGeneratedKeys) throws SQLException

Specified by:
  `prepareStatement` in interface `Connection`
Throws:
  `SQLException`

### prepareStatement

public PreparedStatement prepareStatement(String sql, int[] columnIndexes) throws SQLException

Specified by:
  `prepareStatement` in interface `Connection`
Throws:
  `SQLException`

### prepareStatement

public PreparedStatement prepareStatement(String sql, String[] columnNames) throws SQLException

Specified by:
  `prepareStatement` in interface `Connection`
Throws:
  `SQLException`

### prepareStatement

public PreparedStatement prepareStatement(String sql, int resultSetType, int resultSetConcurrency) throws SQLException

Specified by:
  `prepareStatement` in interface `Connection`
Throws:
  `SQLException`

### prepareStatement

public PreparedStatement prepareStatement(String sql, int resultSetType, int resultSetConcurrency, int resultSetHoldability) throws SQLException

Specified by:
  `prepareStatement` in interface `Connection`
Throws:
  `SQLException`

### releaseSavepoint

public void releaseSavepoint(Savepoint arg0) throws SQLException

Specified by:
  `releaseSavepoint` in interface `Connection`
Throws:
  `SQLException`

### rollback

public void rollback()

Specified by:
  `rollback` in interface `Connection`

### rollback

public void rollback(Savepoint arg0)

Specified by:
  `rollback` in interface `Connection`

### setClientInfo

public void setClientInfo(String name, String value) throws SQLClientInfoException

Specified by:
  `setClientInfo` in interface `Connection`
Throws:
  `SQLClientInfoException`

### setNetworkTimeout

public void setNetworkTimeout(Executor arg0, int arg1) throws SQLException

Specified by:
  `setNetworkTimeout` in interface `Connection`
Throws:
  `SQLException`

### getQueryTimeout

public int getQueryTimeout()

### setQueryTimeout

public void setQueryTimeout(int seconds) throws SQLException

Throws:
  `SQLException`

### setSavepoint

public Savepoint setSavepoint() throws SQLException

Specified by:
  `setSavepoint` in interface `Connection`
Throws:
  `SQLException`

### setSavepoint

public Savepoint setSavepoint(String arg0) throws SQLException

Specified by:
  `setSavepoint` in interface `Connection`
Throws:
  `SQLException`

### getClient

public IClientRPCService.Iface getClient()

### getSessionId

public long getSessionId()

### setClient

public void setClient(IClientRPCService.Iface client)

### reconnect

public boolean reconnect()

### getTimeZone

public String getTimeZone()

### setTimeZone

public void setTimeZone(String timeZone) throws org.apache.thrift.TException, IoTDBSQLException

Throws:
  `org.apache.thrift.TException`
  `IoTDBSQLException`

### getServerProperties

public ServerProperties getServerProperties() throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

### changeDefaultDatabase

protected void changeDefaultDatabase(String database)

### mayChangeDefaultSqlDialect

protected void mayChangeDefaultSqlDialect(String sqlDialect)

### getTimeFactor

public int getTimeFactor()

### getDatabase

public String getDatabase()